import { EventEmitter } from '../../stencil-public-runtime';
import { IMonthYearInputComponent } from '@boldpenguin/sdk-types';
export declare class BpSdkMonthYearInput implements IMonthYearInputComponent {
    /**
     * Answer id
     */
    answerId: string;
    /**
     * Question Id
     */
    questionId: string;
    /**
     * Question text
     */
    text: string;
    /**
     * minimum date value
     */
    minDate: string;
    /**
     * maximum date value
     */
    maxDate: string;
    /**
     * question code
     */
    code: string;
    /**
     * question value
     */
    value: string;
    /**
     * Placeholder to display
     */
    placeholder: string;
    /**
     * Label id to use
     */
    labelId: string;
    /**
     * Is touched
     */
    touched: boolean;
    /**
     * Is pristine
     */
    pristine: boolean;
    /**
     * Is answer in complete state
     */
    isCompleted: boolean;
    /**
     * When true, the field will be readonly. It will display only the label and value as plain text.
     */
    isReadOnly: boolean;
    /**
     * Error messages
     */
    errors: string[];
    /**
     * Error text
     */
    errorText: string;
    /**
     * Label to use
     */
    label: string;
    /**
     *  Labels that describe group
     */
    labelledBy: string;
    /**
     * Is required
     */
    required: boolean;
    /**
     * Help text
     */
    helpText: string;
    /**
     * Specifically how the question was answered (ie. "ACORD 126")
     */
    answeredBySource: string | undefined;
    _labelledBy: string;
    useExternal: boolean;
    /**
     * Value has updated
     */
    valueUpdate: EventEmitter<string>;
    el: HTMLInputElement;
    onAriaLabelledByChange(labelId: string): void;
    onLabelledByChange(labelledBy: string): void;
    updateLabelledBy(aria: string, ids: string): void;
    resetState(): void;
    componentWillLoad(): void;
    onChange: () => void;
    render(): any[];
    renderExternal(): any;
    renderLabel(): any;
    renderInternal(): any;
    renderInputElement(): any;
    renderErrors(): any;
    renderReadOnlyElement(value: string): any;
}
